org.jbpm.services.task.audit.service

## Class AuditTaskDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.AuditTaskDeleteBuilder>
      - - org.jbpm.services.task.audit.service.AuditTaskDeleteBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.AuditTaskDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.AuditTaskDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.task.query.AuditTaskDeleteBuilder>, org.kie.internal.task.query.AuditTaskDeleteBuilder

      public class AuditTaskDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.AuditTaskDeleteBuilder>
      implements org.kie.internal.task.query.AuditTaskDeleteBuilder

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `executor, jpaAuditService, ONLY_COMPLETED_PROCESS_INSTANCES`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditTaskDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `AuditTaskDeleteBuilderImpl(JPAAuditLogService jpaAuditService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.task.query.AuditTaskDeleteBuilder` | `date(Date... date)`
    `org.kie.internal.task.query.AuditTaskDeleteBuilder` | `dateRangeEnd(Date rangeStart)`
    `org.kie.internal.task.query.AuditTaskDeleteBuilder` | `dateRangeStart(Date rangeStart)`
    `org.kie.internal.task.query.AuditTaskDeleteBuilder` | `deploymentId(String... deploymentId)`
    `protected String` | `getQueryBase()`
    `protected Class` | `getQueryType()`
    `protected String` | `getSubQuery()`

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `build, checkIfNull, ensureDateNotTimestamp, getJpaAuditLogService, processId, processInstanceId`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, processId, processInstanceId`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### AuditTaskDeleteBuilderImpl

          public AuditTaskDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

    - #### AuditTaskDeleteBuilderImpl

          public AuditTaskDeleteBuilderImpl(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### date

          public org.kie.internal.task.query.AuditTaskDeleteBuilder date(Date... date)

      Specified by:
        `date` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.AuditTaskDeleteBuilder>`
      Overrides:
        `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.AuditTaskDeleteBuilder>`

    - #### dateRangeStart

          public org.kie.internal.task.query.AuditTaskDeleteBuilder dateRangeStart(Date rangeStart)

      Specified by:
        `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.AuditTaskDeleteBuilder>`
      Overrides:
        `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.AuditTaskDeleteBuilder>`

    - #### dateRangeEnd

          public org.kie.internal.task.query.AuditTaskDeleteBuilder dateRangeEnd(Date rangeStart)

      Specified by:
        `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.AuditTaskDeleteBuilder>`
      Overrides:
        `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.AuditTaskDeleteBuilder>`

    - #### deploymentId

          public org.kie.internal.task.query.AuditTaskDeleteBuilder deploymentId(String... deploymentId)

      Specified by:
        `deploymentId` in interface `org.kie.internal.task.query.AuditTaskDeleteBuilder`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.AuditTaskDeleteBuilder>`

    - #### getQueryBase

          protected String getQueryBase()

      Specified by:
        `getQueryBase` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.AuditTaskDeleteBuilder>`

    - #### getSubQuery

          protected String getSubQuery()

      Overrides:
        `getSubQuery` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.AuditTaskDeleteBuilder>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.